目录

1 Application Scenario

The wallet client performs an operation (adding or deleting a card) for a card, and the merchant server needs to receive the notification.

2 Request

2.1 Definition

POST
https://${url}/{serviceId}/hms/wallet/v1/notify

Note: The ${url} variable is the address of the merchant server.

2.2 Authentication Mode

The following signature parameters are carried in an HTTP request header:

l HMSSignType: signature mode. The value is SHA256WithRSA.

l HMSSign:XXX key-value pair: XXX indicates the signature value, which is the signed HTTP request body.

2.3 Input Parameters (in an HTTP Request Body)

ParameterTypeDescriptionOptional or Mandatory
eventIdString(32)

Event ID. This parameter can be used for

de-duplication.

M
modelIdString(32)

This ID must be unique across all models from an 

issuer. The value contains only alphabetic letters, digits,

dots (.), hyphens (-), and underscores (_).

M
instanceIdString(32)

This ID must be unique across all instances of an issuer. The value contains only alphabetic letters, digits, dots (.),

hyphens (-), and underscores (_).

M
eventTimeString(32)

Time when an event occurs. The value is UTC time in

yyyy-mm-dd HH:MM:SS format.

M
eventTypeString(24)

Event type.

RECEIVE_CARD: A user claims a pass.

DELETE_CARD: A user deletes a pass.
M

2 Response

ParameterTypeDescriptionOptional or Mandatory
returnCodeStringResult code. The result code 0 indicates success and another result code indicates a failure.M
returnDescStringResult description.M